# Script SPIRE-IST-DBG-DPUON2STBY.tcl
# Issue 1.1
# Date: 9th May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from DPU ON to SPIRE REDY mode (viz. STBY)
#          Updated to include the MCU switch on boot commands
#
# Initial Configuration: SPIRE DPU should be ON but not generating HK (Script SPIRE-IST-DBG-OFF2DPUON has been executed)
# Final Configuration: SPIRE is in REDY  mode (viz. 'STBY') and generating HK (The MODE parameter in nominal HK report should be REDY)  
#
# Generate Critical HK at 1 second intervals
# Generate Nominal HK at 4 second intervals
#
tcsend SCR00500 nowait {SPR0N500 "0x300" RAW} {SPR1N500 "0x300" RAW} {SPR2N500 "0x7d0" RAW} {SPR3N500 "0x1" RAW} {SPR4N500 "0x0" RAW}
tcsend SCR00500 nowait {SPR0N500 "0x301" RAW} {SPR1N500 "0x301" RAW} {SPR2N500 "0xFA0" RAW} {SPR3N500 "0x0" RAW} {SPR4N500 "0x1" RAW} 
waittime 1
#
# Set the SPIRE MODE parameter to DRCU_ON
#
tcsend SC002500 nowait {SP02N500 "0x100" RAW}
waittime 1
#
# Reset all Photometer & Spectromter parameters
#
tcsend SCD06505 nowait {SPD4N505 "0x84120000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84130000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84050000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84060000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84070000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84080000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84090000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x840a0000" RAW} {SPD9N505 "0x0" RAW}
waittime 1 
tcsend SCD06505 nowait {SPD4N505 "0x840b0000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x840c0000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x840d0000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x840e0000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x840f0000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84100000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84140000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84370000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84340000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84350000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84360000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84110000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84330000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84010000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84020000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84030000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84040000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84310000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x84320000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
#
# Set the Spectrometer bias mode to run (0xFF)
#
tcsend SCD06505 nowait {SPD4N505 "0x843000ff" RAW} {SPD9N505 "0x0" RAW}
#
# Set the Photometer bias mode to run (0xFF)
# 
tcsend SCD06505 nowait {SPD4N505 "0x840000ff" RAW} {SPD9N505 "0x0" RAW}
waittime 1
#
# Set the Photometer bias frequency to 130Hz and sampling frequency to 18Hz
#
tcsend SCD06505 nowait {SPD4N505 "0x84190095" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84180006" RAW} {SPD9N505 "0x0" RAW}
waittime 1
#
# Set the Spectrometer bias frequency to 160Hz and sampling frequency to 80Hz
#
tcsend SCD06505 nowait {SPD4N505 "0x8439007a" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x84380001" RAW} {SPD9N505 "0x0" RAW}
waittime 1
#
# Switch on the MCU and Boot
#
tcsend SCD06505 nowait {SPD4N505 "0xa0870004" RAW} {SPD9N505 "0x0" RAW}
#
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x90010005" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5 
tcsend SCD06505 nowait {SPD4N505 "0x90010007" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5
tcsend SCD06505 nowait {SPD4N505 "0x90010003" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5
tcsend SCD06505 nowait {SPD4N505 "0x90010007" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5
tcsend SCD06505 nowait {SPD4N505 "0x9021c000" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5
tcsend SCD06505 nowait {SPD4N505 "0x90240001" RAW} {SPD9N505 "0x0" RAW}
#
waittime 5
tcsend SCD06505 nowait {SPD4N505 "0x91c90067" RAW} {SPD9N505 "0x0" RAW}
#
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x91ca0070" RAW} {SPD9N505 "0x0" RAW}
#
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x91d4006b" RAW} {SPD9N505 "0x0" RAW}
#
# On the SFT PARAMETERS display (SA_7_559) check that:
# MCUP5V ~ 5.0 +/- 0.3 V
# MCUP14V ~ 14.0 +/- 0.6 V 
# MCUM14V ~ -14.0 +/- 0.6 V
# MCUP15V ~ 15.0 +/- 0.6 V
# MCUM15V ~ -15.0 +/- 0.6 V
# Check that MCUBITSTAT is set to 1
#
# If the MCU parameters are as expected then the next TC can be executed to set the mode to REDY
#
# Set the SPIRE MODE parameter to REDY
#
tcsend SC002500 nowait {SP02N500 "0x200" RAW}
#

