# Script SPIRE-IST-DBG-OFF2DPUON.tcl 
# Issue 1.0
# Date: 4th May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from OFF to DPU ON
#
# Initial Configuration: SPIRE should be OFF
# Final Configuration: SPIRE is ON but not generating any HK
#
# First switch on the DPU using the S/C LCL and wait for the BSW to produce at least two TM(5,1) Boot ROM Check reports
#
# Now start the SPIRE OBS by sending the FORCE_BOOT_SECONDARY TC
#
tcsend SCD0A505 nowait 
#
# Wait 10 seconds before stopping the HK
#
waittime 10 
#
# Clear Critical & Nominal HK reports   
#
tcsend SCR01500 nowait {SPR6N500 "0x0300" RAW}
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
#
# Now switch on the DRCU using the S/C LCL (or switch on the DRCU Simulator)
#
