# Script SPIRE_OPS2STBY.tcl
# Issue 1.1
# Date: 10th May 2007
# Author: Sunil D. Sidher
# The delay between starting Nominal HK and setting MODE set to 4 seconds
# Purpose: To switch SPIRE from 'OPS' mode to SPIRE REDY mode (viz. 'STBY')
#
# Initial Configuration:  SPIRE is in 'OPS' mode and generating both HK and photometer science data (Script SPIRE-IST-DBG-STBY2OPS has been executed)
# Final Configuration: SPIRE is in REDY mode ('STBY') and generating only HK (The MODE HK parameter should be set to REDY)
#
# Stop DCU data generation and flush DCU FIFO
#
tcsend SCD06505 nowait {SPD4N505 "0x843e0000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD01505 nowait {SPD0N505 "0x1000" RAW}
waittime 2
#
# Clear Nominal HK report
#
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
waittime 2
#
# Generate Nominal HK at 4 second intervals
#
tcsend SCR00500 nowait {SPR0N500 "0x301" RAW} {SPR1N500 "0x301" RAW} {SPR2N500 "0xFA0" RAW} {SPR3N500 "0x0" RAW} {SPR4N500 "0x1" RAW}
waittime 4
#
# Set the SPIRE MODE parameter to REDY 
#
tcsend SC002500 nowait {SP02N500 "0x200" RAW}
#

