# Script SPIRE_PHOT2STBY.tcl
# Issue 1.0
# Date: 22nd May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from PHOTSTBY mode to SPIRE REDY mode (viz. 'STBY')
#
# Initial Configuration: SPIRE is in PHOTSTBY mode and generating critical and nominal HK data at 0.5Hz and 1Hz respectively 
# Final Configuration: SPIRE is in REDY mode ('STBY') and generating critical and nominal HK data at 0.5Hz and 0.25Hz respectively 
#                      (The MODE HK parameter should be set to REDY)
#
# Clear Nominal HK report
#
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
waittime 2
#
# Generate Nominal HK at 4 second intervals
#
tcsend SCR00500 nowait {SPR0N500 "0x301" RAW} {SPR1N500 "0x301" RAW} {SPR2N500 "0xFA0" RAW} {SPR3N500 "0x0" RAW} {SPR4N500 "0x1" RAW}
waittime 4
#
# Set the SPIRE MODE parameter to REDY 
#
tcsend SC002500 nowait {SP02N500 "0x200" RAW}
#

