# Script SPIRE-IST-DBG-STBY2OFF.tcl
# Issue 1.1
# Date: 9th May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from REDY mode (viz. STBY) to OFF 
#
# Initial Configuration:  SPIRE is in 'STBY' mode and generating HK (Script SPIRE-IST-DBG-DPUON2STBY or SPIRE-IST-DBG-OPS2STBY has been executed)
# Final Configuration: SPIRE is OFF and no HK is being generated (The final value of the MODE parameter in nominal HK report is DRCU_ON) 
#
# Switch off the MCU
#
tcsend SCD06505 nowait {SPD4N505 "0xa0870000" RAW} {SPD9N505 "0x0" RAW}
#
waittime 2
#
# On the SCU PARAMETERS display (SA_4_559) check that MCUBITSTAT is set to 0
# If so the following TCs can be executed 
#
# Set the SPIRE MODE parameter to DRCU_ON ('OFF')  
#
tcsend SC002500 nowait {SP02N500 "0x100" RAW}
waittime 2
#
# Clear Critical & Nominal HK reports
#
tcsend SCR01500 nowait {SPR6N500 "0x0300" RAW}
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
#
# First the DRCU and then the DPU can now be switched OFF using the S/C LCLs
#
#
# If powering up the DPU again, wait 2 minutes before running SPIRE-IST-DBG-OFF2DPUON  
#
