# Script SPIRE-IST-DBG-STBY2OPS.tcl 
# Issue 1.0
# Date: 4th May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from REDY mode (viz. STBY) to a nominal operations ('OPS') mode in which photometer science data are being generated
#
# Initial Configuration:  SPIRE is in 'STBY' mode and generating HK (Script SPIRE_IST_DBG_DPUON2STBY has been executed)
# Final Configuration: SPIRE is in 'OPS' mode and generating HK and photometer science data (The raw value of MODE parameter in nominal HK report should be 0xFFFF)
#
#
# Clear Nominal HK report
#
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
waittime 2
#
# Generate Nominal HK at 1 second intervals
#
tcsend SCR00500 nowait {SPR0N500 "0x301" RAW} {SPR1N500 "0x301" RAW} {SPR2N500 "0x3E8" RAW} {SPR3N500 "0x0" RAW} {SPR4N500 "0x1" RAW}
waittime 5
#
# Set up for Photometer mode and start continuous data generation
#
tcsend SCD06505 nowait {SPD4N505 "0x843d0000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x843c0000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x843e0001" RAW} {SPD9N505 "0x0" RAW}
#
# Set the SPIRE MODE parameter to "OPS" - 0xFFFF (Debug mode for IST) 
#
waittime 1
tcsend SC002500 nowait {SP02N500 "0xFFFF" RAW}
#
