# Script SPIRE-IST-DBG-STBY2PHOT.tcl 
# Issue 1.1
# Date: 21st May 2007
# Author: Sunil D. Sidher
# Purpose: To switch SPIRE from REDY mode (viz. 'STBY') to PHOTSTBY mode (but no photometer science data are generated)
#
# Initial Configuration:  SPIRE is in REDY mode (viz. 'STBY') and generating HK (Script SPIRE-IST-DBG-DPUON2STBY has been executed)
# Final Configuration: SPIRE is in PHOTSTBY mode and generating only HK (The MODE HK parameter should be set to PHOTSTBY)
#
#
# Clear Nominal HK report
#
tcsend SCR01500 nowait {SPR6N500 "0x0301" RAW}
waittime 2
#
# Generate Nominal HK at 1 second intervals
#
tcsend SCR00500 nowait {SPR0N500 "0x301" RAW} {SPR1N500 "0x301" RAW} {SPR2N500 "0x3E8" RAW} {SPR3N500 "0x0" RAW} {SPR4N500 "0x1" RAW}
waittime 2
#
# Set the SPIRE MODE parameter to PHOTSTBY - 0x300
#
waittime 1
tcsend SC002500 nowait {SP02N500 "0x0300" RAW}
#
# Reset any previous MCU sampling
#
tcsend SCD06505 nowait {SPD4N505 "0x91c00000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x91c20000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
tcsend SCD06505 nowait {SPD4N505 "0x91c40000" RAW} {SPD9N505 "0x0" RAW}
tcsend SCD06505 nowait {SPD4N505 "0x91c50000" RAW} {SPD9N505 "0x0" RAW}
waittime 1
#
# Setup MCU to generate BSM frames at 64Hz sampling
#
tcsend SCD06505 nowait {SPD4N505 "0x91c20025" RAW} {SPD9N505 "0x0" RAW}
#

